#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(fcoe_ctlr_init, "", "");
KSYMTAB_FUNC(fcoe_ctlr_destroy, "", "");
KSYMTAB_FUNC(fcoe_ctlr_link_up, "", "");
KSYMTAB_FUNC(fcoe_ctlr_link_down, "", "");
KSYMTAB_FUNC(fcoe_ctlr_els_send, "", "");
KSYMTAB_FUNC(fcoe_ctlr_recv, "", "");
KSYMTAB_FUNC(fcoe_ctlr_recv_flogi, "", "");
KSYMTAB_FUNC(fcoe_wwn_from_mac, "_gpl", "");
KSYMTAB_FUNC(fcoe_libfc_config, "_gpl", "");
KSYMTAB_FUNC(fcoe_fcf_get_selected, "", "");
KSYMTAB_FUNC(fcoe_ctlr_set_fip_mode, "", "");
KSYMTAB_FUNC(fcoe_link_speed_update, "_gpl", "");
KSYMTAB_FUNC(__fcoe_get_lesb, "_gpl", "");
KSYMTAB_FUNC(fcoe_get_lesb, "_gpl", "");
KSYMTAB_FUNC(fcoe_ctlr_get_lesb, "_gpl", "");
KSYMTAB_FUNC(fcoe_wwn_to_str, "_gpl", "");
KSYMTAB_FUNC(fcoe_validate_vport_create, "_gpl", "");
KSYMTAB_FUNC(fcoe_get_wwn, "_gpl", "");
KSYMTAB_FUNC(fcoe_fc_crc, "_gpl", "");
KSYMTAB_FUNC(fcoe_start_io, "_gpl", "");
KSYMTAB_FUNC(fcoe_clean_pending_queue, "_gpl", "");
KSYMTAB_FUNC(fcoe_check_wait_queue, "_gpl", "");
KSYMTAB_FUNC(fcoe_queue_timer, "_gpl", "");
KSYMTAB_FUNC(fcoe_get_paged_crc_eof, "_gpl", "");
KSYMTAB_FUNC(fcoe_transport_attach, "", "");
KSYMTAB_FUNC(fcoe_transport_detach, "", "");
KSYMTAB_FUNC(fcoe_ctlr_device_add, "_gpl", "");
KSYMTAB_FUNC(fcoe_ctlr_device_delete, "_gpl", "");
KSYMTAB_FUNC(fcoe_fcf_device_delete, "_gpl", "");
KSYMTAB_FUNC(fcoe_fcf_device_add, "_gpl", "");

SYMBOL_CRC(fcoe_ctlr_init, 0x0922c772, "");
SYMBOL_CRC(fcoe_ctlr_destroy, 0x16007792, "");
SYMBOL_CRC(fcoe_ctlr_link_up, 0x62c09e71, "");
SYMBOL_CRC(fcoe_ctlr_link_down, 0x21bc2134, "");
SYMBOL_CRC(fcoe_ctlr_els_send, 0xb6fa9451, "");
SYMBOL_CRC(fcoe_ctlr_recv, 0x5384b31a, "");
SYMBOL_CRC(fcoe_ctlr_recv_flogi, 0xa6ab1f1d, "");
SYMBOL_CRC(fcoe_wwn_from_mac, 0xc3f30cc0, "_gpl");
SYMBOL_CRC(fcoe_libfc_config, 0xe77190f4, "_gpl");
SYMBOL_CRC(fcoe_fcf_get_selected, 0xffa355bd, "");
SYMBOL_CRC(fcoe_ctlr_set_fip_mode, 0xb0aa8239, "");
SYMBOL_CRC(fcoe_link_speed_update, 0x666c2238, "_gpl");
SYMBOL_CRC(__fcoe_get_lesb, 0x97baf187, "_gpl");
SYMBOL_CRC(fcoe_get_lesb, 0xa2cc315b, "_gpl");
SYMBOL_CRC(fcoe_ctlr_get_lesb, 0x6bf7bfa5, "_gpl");
SYMBOL_CRC(fcoe_wwn_to_str, 0xf167cb7a, "_gpl");
SYMBOL_CRC(fcoe_validate_vport_create, 0xa792aacf, "_gpl");
SYMBOL_CRC(fcoe_get_wwn, 0xd1bfd087, "_gpl");
SYMBOL_CRC(fcoe_fc_crc, 0xa308b824, "_gpl");
SYMBOL_CRC(fcoe_start_io, 0x35de8f85, "_gpl");
SYMBOL_CRC(fcoe_clean_pending_queue, 0xafc541c7, "_gpl");
SYMBOL_CRC(fcoe_check_wait_queue, 0x70307214, "_gpl");
SYMBOL_CRC(fcoe_queue_timer, 0xbac58840, "_gpl");
SYMBOL_CRC(fcoe_get_paged_crc_eof, 0x97df417f, "_gpl");
SYMBOL_CRC(fcoe_transport_attach, 0x31797e05, "");
SYMBOL_CRC(fcoe_transport_detach, 0xcaa8be21, "");
SYMBOL_CRC(fcoe_ctlr_device_add, 0x0a928870, "_gpl");
SYMBOL_CRC(fcoe_ctlr_device_delete, 0xbd8aaa27, "_gpl");
SYMBOL_CRC(fcoe_fcf_device_delete, 0x3959b7f1, "_gpl");
SYMBOL_CRC(fcoe_fcf_device_add, 0xc0d0f970, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x69dd3b5b, "crc32_le" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xf903584b, "skb_push" },
	{ 0xde90501c, "fc_lport_set_local_id" },
	{ 0x1fc91697, "fc_exch_recv" },
	{ 0x1a9a433c, "prandom_u32_state" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x694f7eba, "__ethtool_get_link_ksettings" },
	{ 0x6b467b4f, "device_register" },
	{ 0x169938c1, "__sysfs_match_string" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0x95c927ea, "fc_vport_id_lookup" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0xb66bf499, "fc_elsct_init" },
	{ 0xfb578fc5, "memset" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x3cd1bdde, "fc_disc_config" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x1d7ab659, "__pskb_pull_tail" },
	{ 0xc1c78e20, "fc_fcp_init" },
	{ 0x8daa3426, "__netdev_alloc_skb" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x8f29e3c7, "skb_trim" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0xdd64e639, "strscpy" },
	{ 0x396c2c44, "__dev_queue_xmit" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xeb165df9, "alloc_pages" },
	{ 0x4ac08300, "__folio_put" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xbde74a0a, "dev_get_by_name" },
	{ 0x260a26da, "skb_clone" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0x5b5d4b09, "fc_seq_els_rsp_send" },
	{ 0xb0ddd5a1, "fc_rport_flush_queue" },
	{ 0x580c38b3, "kmalloc_trace" },
	{ 0xbd760b3, "param_ops_int" },
	{ 0xf1e3ce65, "fc_rport_create" },
	{ 0x26a1d079, "_dev_printk" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x192e314, "kmalloc_caches" },
	{ 0x488b2093, "fc_exch_init" },
	{ 0x9858f364, "get_random_u8" },
	{ 0xb1936dff, "bus_register" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x622251, "fc_linkup" },
	{ 0x66d9274a, "fc_rport_lookup" },
	{ 0x587f22d7, "devmap_managed_key" },
	{ 0x35ab172b, "dev_get_stats" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x4cae06df, "param_ops_uint" },
	{ 0xd831f7b4, "skb_put" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x562f2941, "dev_set_name" },
	{ 0x602d0415, "consume_skb" },
	{ 0xfc26ae02, "fc_lport_init" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x9d50ed7e, "fc_rport_destroy" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0x58949f27, "device_unregister" },
	{ 0x6c5df99f, "skb_dequeue" },
	{ 0x37a0cba, "kfree" },
	{ 0x95ad3e58, "fc_rport_logoff" },
	{ 0xebc04d12, "pcpu_hot" },
	{ 0xd693254b, "__put_devmap_managed_page_refs" },
	{ 0xdc0e4855, "timer_delete" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x772de5e, "fc_disc_init" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe801bec3, "fc_rport_login" },
	{ 0xa1ee185, "skb_queue_purge_reason" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x6b2dc060, "dump_stack" },
	{ 0x122c3a7e, "_printk" },
	{ 0x6aefb12a, "fc_linkdown" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x786a6ef1, "put_device" },
	{ 0xa916b694, "strnlen" },
	{ 0xeb63a004, "skb_queue_tail" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0xf7b91f12, "fc_lport_reset" },
	{ 0x6c5f6671, "bus_unregister" },
	{ 0x40bed2a4, "init_net" },
	{ 0xcd547c59, "skb_pull" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0xa8b3b54e, "kfree_skb_reason" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xfe6abdd2, "module_layout" },
};

MODULE_INFO(depends, "libfc");


MODULE_INFO(srcversion, "D0A2D437560AFBCC6CDFDF0");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
