#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(dsa_devlink_param_get, "_gpl", "");
KSYMTAB_FUNC(dsa_devlink_param_set, "_gpl", "");
KSYMTAB_FUNC(dsa_devlink_params_register, "_gpl", "");
KSYMTAB_FUNC(dsa_devlink_params_unregister, "_gpl", "");
KSYMTAB_FUNC(dsa_devlink_resource_register, "_gpl", "");
KSYMTAB_FUNC(dsa_devlink_resources_unregister, "_gpl", "");
KSYMTAB_FUNC(dsa_devlink_resource_occ_get_register, "_gpl", "");
KSYMTAB_FUNC(dsa_devlink_resource_occ_get_unregister, "_gpl", "");
KSYMTAB_FUNC(dsa_devlink_region_create, "_gpl", "");
KSYMTAB_FUNC(dsa_devlink_port_region_create, "_gpl", "");
KSYMTAB_FUNC(dsa_devlink_region_destroy, "_gpl", "");
KSYMTAB_FUNC(dsa_flush_workqueue, "_gpl", "");
KSYMTAB_FUNC(dsa_switch_find, "_gpl", "");
KSYMTAB_FUNC(dsa_register_switch, "_gpl", "");
KSYMTAB_FUNC(dsa_unregister_switch, "_gpl", "");
KSYMTAB_FUNC(dsa_switch_shutdown, "_gpl", "");
KSYMTAB_FUNC(dsa_switch_suspend, "_gpl", "");
KSYMTAB_FUNC(dsa_switch_resume, "_gpl", "");
KSYMTAB_FUNC(dsa_port_from_netdev, "_gpl", "");
KSYMTAB_FUNC(dsa_fdb_present_in_other_db, "_gpl", "");
KSYMTAB_FUNC(dsa_mdb_present_in_other_db, "_gpl", "");
KSYMTAB_FUNC(dsa_tag_drivers_register, "_gpl", "");
KSYMTAB_FUNC(dsa_tag_drivers_unregister, "_gpl", "");
KSYMTAB_FUNC(dsa_tag_8021q_bridge_vid, "_gpl", "");
KSYMTAB_FUNC(dsa_tag_8021q_standalone_vid, "_gpl", "");
KSYMTAB_FUNC(dsa_8021q_rx_switch_id, "_gpl", "");
KSYMTAB_FUNC(dsa_8021q_rx_source_port, "_gpl", "");
KSYMTAB_FUNC(vid_is_dsa_8021q, "_gpl", "");
KSYMTAB_FUNC(dsa_tag_8021q_bridge_join, "_gpl", "");
KSYMTAB_FUNC(dsa_tag_8021q_bridge_leave, "_gpl", "");
KSYMTAB_FUNC(dsa_tag_8021q_register, "_gpl", "");
KSYMTAB_FUNC(dsa_tag_8021q_unregister, "_gpl", "");
KSYMTAB_FUNC(dsa_8021q_xmit, "_gpl", "");
KSYMTAB_FUNC(dsa_tag_8021q_find_port_by_vbid, "_gpl", "");
KSYMTAB_FUNC(dsa_8021q_rcv, "_gpl", "");
KSYMTAB_FUNC(dsa_enqueue_skb, "_gpl", "");
KSYMTAB_FUNC(dsa_port_phylink_mac_change, "_gpl", "");
KSYMTAB_FUNC(dsa_user_dev_check, "_gpl", "");

SYMBOL_CRC(dsa_devlink_param_get, 0xd077e855, "_gpl");
SYMBOL_CRC(dsa_devlink_param_set, 0xfd3e2b67, "_gpl");
SYMBOL_CRC(dsa_devlink_params_register, 0xbc0a488f, "_gpl");
SYMBOL_CRC(dsa_devlink_params_unregister, 0x3dc6fd55, "_gpl");
SYMBOL_CRC(dsa_devlink_resource_register, 0x52e84d98, "_gpl");
SYMBOL_CRC(dsa_devlink_resources_unregister, 0x3dab329b, "_gpl");
SYMBOL_CRC(dsa_devlink_resource_occ_get_register, 0x9296c4ad, "_gpl");
SYMBOL_CRC(dsa_devlink_resource_occ_get_unregister, 0xfd67dba0, "_gpl");
SYMBOL_CRC(dsa_devlink_region_create, 0x3f4fe97d, "_gpl");
SYMBOL_CRC(dsa_devlink_port_region_create, 0xcc58d5b1, "_gpl");
SYMBOL_CRC(dsa_devlink_region_destroy, 0xc23e8d5f, "_gpl");
SYMBOL_CRC(dsa_flush_workqueue, 0x0c6039ac, "_gpl");
SYMBOL_CRC(dsa_switch_find, 0xe24e0909, "_gpl");
SYMBOL_CRC(dsa_register_switch, 0x3da47493, "_gpl");
SYMBOL_CRC(dsa_unregister_switch, 0x8f6803c3, "_gpl");
SYMBOL_CRC(dsa_switch_shutdown, 0x6081aefa, "_gpl");
SYMBOL_CRC(dsa_switch_suspend, 0xeed87dfd, "_gpl");
SYMBOL_CRC(dsa_switch_resume, 0x5c3040ae, "_gpl");
SYMBOL_CRC(dsa_port_from_netdev, 0x9edaa6a4, "_gpl");
SYMBOL_CRC(dsa_fdb_present_in_other_db, 0x2825eacc, "_gpl");
SYMBOL_CRC(dsa_mdb_present_in_other_db, 0xe40ea0f4, "_gpl");
SYMBOL_CRC(dsa_tag_drivers_register, 0x90caa95c, "_gpl");
SYMBOL_CRC(dsa_tag_drivers_unregister, 0x4418fdf6, "_gpl");
SYMBOL_CRC(dsa_tag_8021q_bridge_vid, 0x45ca5090, "_gpl");
SYMBOL_CRC(dsa_tag_8021q_standalone_vid, 0x5ce178a0, "_gpl");
SYMBOL_CRC(dsa_8021q_rx_switch_id, 0x417d1fed, "_gpl");
SYMBOL_CRC(dsa_8021q_rx_source_port, 0x9e59271d, "_gpl");
SYMBOL_CRC(vid_is_dsa_8021q, 0xf13e1803, "_gpl");
SYMBOL_CRC(dsa_tag_8021q_bridge_join, 0xef11f2a2, "_gpl");
SYMBOL_CRC(dsa_tag_8021q_bridge_leave, 0xa9aa4561, "_gpl");
SYMBOL_CRC(dsa_tag_8021q_register, 0x041cd274, "_gpl");
SYMBOL_CRC(dsa_tag_8021q_unregister, 0xef9bf5b6, "_gpl");
SYMBOL_CRC(dsa_8021q_xmit, 0x9d310d42, "_gpl");
SYMBOL_CRC(dsa_tag_8021q_find_port_by_vbid, 0xdbd64dcc, "_gpl");
SYMBOL_CRC(dsa_8021q_rcv, 0x7b2068dc, "_gpl");
SYMBOL_CRC(dsa_enqueue_skb, 0x86f65ec5, "_gpl");
SYMBOL_CRC(dsa_port_phylink_mac_change, 0xcba4b044, "_gpl");
SYMBOL_CRC(dsa_user_dev_check, 0xa91594f0, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xf553b795, "vlan_dev_vlan_proto" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x786a6ef1, "put_device" },
	{ 0xd2897c16, "devlink_resource_register" },
	{ 0x44ef67e6, "netdev_upper_get_next_dev_rcu" },
	{ 0xa916b694, "strnlen" },
	{ 0x6fa426d2, "phylink_ethtool_nway_reset" },
	{ 0x11e4b74c, "netif_device_detach" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x483fd1e, "switchdev_bridge_port_offload" },
	{ 0xf26c3819, "netif_device_attach" },
	{ 0x2c8e28ee, "phylink_ethtool_get_eee" },
	{ 0x81828ce4, "module_put" },
	{ 0x580d34df, "ptp_classify_raw" },
	{ 0xaf793668, "__alloc_percpu_gfp" },
	{ 0x5dda6735, "dev_open" },
	{ 0x9eacf8a5, "kstrndup" },
	{ 0x5ad370ea, "devlink_region_create" },
	{ 0x5140d6dd, "vlan_dev_real_dev" },
	{ 0xad5f0017, "perf_trace_buf_alloc" },
	{ 0xd872c02b, "__dev_get_by_index" },
	{ 0x6c53b81a, "rtnl_link_unregister" },
	{ 0x49c2b12a, "perf_trace_run_bpf_submit" },
	{ 0x752c8f09, "devlink_port_unregister" },
	{ 0x9604d1d5, "_dev_err" },
	{ 0x40bed2a4, "init_net" },
	{ 0x9851921e, "noop_qdisc" },
	{ 0xda268070, "phy_ethtool_get_strings" },
	{ 0xa614cb8c, "skb_vlan_untag" },
	{ 0x8677245d, "unregister_switchdev_blocking_notifier" },
	{ 0x2ffe28be, "dcb_ieee_getapp_mask" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xf4f14de6, "rtnl_trylock" },
	{ 0x77641cc0, "dev_remove_pack" },
	{ 0x9453a915, "bpf_trace_run5" },
	{ 0x983276da, "phylink_disconnect_phy" },
	{ 0xa8b3b54e, "kfree_skb_reason" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xa29f3a81, "gro_cells_receive" },
	{ 0x1ecedcf7, "switchdev_handle_port_obj_del_foreign" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xf8fe5642, "phylink_ethtool_get_pauseparam" },
	{ 0xf903584b, "skb_push" },
	{ 0xfbb8a761, "strscpy_pad" },
	{ 0xde9ef2ed, "netdev_upper_dev_unlink" },
	{ 0xa55a43fb, "nla_put" },
	{ 0x5916da03, "dev_mc_del" },
	{ 0xdc718a1d, "trace_event_reg" },
	{ 0xb2ae1ff1, "br_vlan_get_info" },
	{ 0x7a9f61aa, "free_netdev" },
	{ 0x911fcd6c, "phylink_start" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x680e6a6b, "mdiobus_free" },
	{ 0xb66b1bc8, "sysfs_create_group" },
	{ 0x70dfb43d, "devlink_resource_occ_get_register" },
	{ 0xad9bb080, "ethtool_op_get_link" },
	{ 0x15c4e3e2, "phylink_ethtool_set_pauseparam" },
	{ 0x11a00ce6, "device_find_child" },
	{ 0x6d294e43, "clock_t_to_jiffies" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x57727285, "phylink_ethtool_set_eee" },
	{ 0x8213956, "phylink_ethtool_get_wol" },
	{ 0x5560a8db, "devlink_port_fini" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0xede4fe54, "switchdev_bridge_port_unoffload" },
	{ 0xa48fed6a, "_dev_warn" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0x7cbe1fc4, "phy_ethtool_get_stats" },
	{ 0xdcb0a2c0, "phylink_stop" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0xdfd8110c, "flow_block_cb_is_busy" },
	{ 0x774d0fc5, "dev_get_tstats64" },
	{ 0xad645234, "register_switchdev_notifier" },
	{ 0x3dd760bf, "netif_rx" },
	{ 0xf215b603, "dev_mc_add" },
	{ 0x4bf6ebe9, "flow_block_cb_alloc" },
	{ 0x253c0d33, "br_vlan_get_pvid_rcu" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x8f29e3c7, "skb_trim" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xdd45fa5, "__dynamic_netdev_dbg" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x8bfea03c, "pv_ops" },
	{ 0x71b96586, "sysfs_remove_group" },
	{ 0x44fb0459, "net_selftest" },
	{ 0x2db0716d, "bpf_trace_run3" },
	{ 0x60262d18, "mdiobus_unregister" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xa16449b4, "phylink_ethtool_ksettings_set" },
	{ 0x1bb1d819, "devlink_port_init" },
	{ 0x8ebe78dc, "__netpoll_setup" },
	{ 0x396c2c44, "__dev_queue_xmit" },
	{ 0xda31f9d2, "vlan_vid_add" },
	{ 0xfbd24da2, "devlink_params_register" },
	{ 0x546a1d09, "trace_event_buffer_reserve" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x12135396, "phylink_mac_change" },
	{ 0xb885f53a, "vlan_vid_del" },
	{ 0x64ee1c5d, "dev_set_allmulti" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0xee38ef57, "register_switchdev_blocking_notifier" },
	{ 0x4ea4215b, "devlink_resources_unregister" },
	{ 0x9cd5282f, "netdev_master_upper_dev_get" },
	{ 0x56470118, "__warn_printk" },
	{ 0x1a5ff70b, "netif_carrier_off" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0xb6176d0f, "__vlan_find_dev_deep_rcu" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0xa857d28d, "devlink_port_region_create" },
	{ 0x5774eb15, "devlink_priv" },
	{ 0xe43b5297, "skb_copy" },
	{ 0xb53b6164, "__hw_addr_sync_dev" },
	{ 0x1fff117b, "devlink_port_register_with_ops" },
	{ 0x9aef88a9, "mdiobus_get_phy" },
	{ 0x9e0471d2, "dst_release" },
	{ 0xf3083a1d, "phylink_destroy" },
	{ 0xe171c46e, "__mdiobus_register" },
	{ 0x9616a255, "phylink_ethtool_ksettings_get" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x9ba73b82, "dev_uc_add" },
	{ 0x5f924f7c, "vlan_dev_vlan_id" },
	{ 0x62104126, "phylink_ethtool_set_wol" },
	{ 0x58d1241f, "br_mst_enabled" },
	{ 0x580c38b3, "kmalloc_trace" },
	{ 0xd2ef6a40, "phylink_mii_ioctl" },
	{ 0x2e90d3e1, "phylink_of_phy_connect" },
	{ 0x754d539c, "strlen" },
	{ 0x83e58ac3, "dev_kfree_skb_any_reason" },
	{ 0xc600a7b1, "dcb_ieee_delapp" },
	{ 0x8e6b1a9e, "net_selftest_get_count" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0xcdfb3203, "device_link_add" },
	{ 0x85d120e3, "trace_handle_return" },
	{ 0xceab0311, "strchrnul" },
	{ 0xc88e8fb7, "dsa_stubs" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0xd4ec10e6, "BUG_func" },
	{ 0xc7699675, "dcb_ieee_setapp" },
	{ 0xc0d0ed71, "phy_ethtool_get_sset_count" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x192e314, "kmalloc_caches" },
	{ 0xa24f23d8, "__request_module" },
	{ 0xb16527a5, "__skb_vlan_pop" },
	{ 0x99459de8, "phylink_connect_phy" },
	{ 0xd9b77120, "br_get_ageing_time" },
	{ 0x6ffd9742, "register_netdevice" },
	{ 0x52ae5d77, "mdiobus_alloc_size" },
	{ 0xd06524ba, "raw_notifier_chain_unregister" },
	{ 0xf8b93654, "netdev_lower_get_next" },
	{ 0x80137000, "flow_block_cb_lookup" },
	{ 0xcb37f4a4, "switchdev_handle_port_obj_add_foreign" },
	{ 0xe914e41e, "strcpy" },
	{ 0x7bf58433, "devlink_resource_occ_get_unregister" },
	{ 0xff527a09, "dev_set_mtu" },
	{ 0xf0fdaf02, "br_vlan_enabled" },
	{ 0x74d4bd9d, "__skb_pad" },
	{ 0xf6bfe79e, "try_module_get" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x65f8fbc, "skb_ensure_writable_head_tail" },
	{ 0x20f956b9, "bpf_trace_run4" },
	{ 0xec2677aa, "devlink_unregister" },
	{ 0x3ddd82af, "__nlmsg_put" },
	{ 0xa851973a, "raw_notifier_call_chain" },
	{ 0xa410a295, "devlink_region_destroy" },
	{ 0x58571a61, "br_port_flag_is_set" },
	{ 0x787d2f7f, "devm_kmalloc" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xdc86edc, "call_switchdev_notifiers" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0x12bcebc2, "br_port_get_stp_state" },
	{ 0x602d0415, "consume_skb" },
	{ 0xe113bbbc, "csum_partial" },
	{ 0xb0e602eb, "memmove" },
	{ 0x99549c8a, "dev_add_pack" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x32cec3ba, "is_hsr_master" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x6e3b5587, "__netpoll_free" },
	{ 0x50da8178, "trace_raw_output_prep" },
	{ 0x90db6772, "br_vlan_get_proto" },
	{ 0xfb6671c5, "br_mst_get_state" },
	{ 0xb3ecd59c, "unregister_netdev" },
	{ 0x45c294b, "__trace_trigger_soft_disabled" },
	{ 0x72f74522, "trace_event_printf" },
	{ 0x30a45782, "dev_uc_del" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x1120b20, "netpoll_send_skb" },
	{ 0x1d170a2b, "rtnl_link_register" },
	{ 0x58b4645c, "dev_close_many" },
	{ 0xe2b3207a, "unregister_switchdev_notifier" },
	{ 0x5bd92689, "devlink_params_unregister" },
	{ 0xa9552efb, "devlink_port_attrs_set" },
	{ 0xc090c376, "net_selftest_get_strings" },
	{ 0x266282f0, "trace_event_raw_init" },
	{ 0x37a0cba, "kfree" },
	{ 0x2a45d0af, "devlink_alloc_ns" },
	{ 0x9012c87c, "dev_set_promiscuity" },
	{ 0xf47d2fc3, "devlink_register" },
	{ 0xebc04d12, "pcpu_hot" },
	{ 0x52b30fab, "devlink_free" },
	{ 0x8153ae46, "gro_cells_init" },
	{ 0xd5b32cda, "bpf_trace_run2" },
	{ 0xb71d7463, "netdev_warn" },
	{ 0x404682a9, "unregister_netdevice_queue" },
	{ 0x12a37f99, "get_device" },
	{ 0xd1335548, "skb_pull_rcsum" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0xd694e81f, "__dynamic_dev_dbg" },
	{ 0x9f54ead7, "gro_cells_destroy" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xdd083012, "ether_setup" },
	{ 0x7a9641ce, "switchdev_handle_fdb_event_to_device" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xdc9fa232, "raw_notifier_chain_register" },
	{ 0x6f9a3bbf, "netdev_err" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0xb279eca4, "netdev_upper_dev_link" },
	{ 0xc687497a, "pskb_expand_head" },
	{ 0x63434b37, "switchdev_handle_port_attr_set" },
	{ 0x22f32507, "phylink_create" },
	{ 0xe5e7e09, "vlan_for_each" },
	{ 0x6a29f2eb, "netdev_port_same_parent_id" },
	{ 0xcb3a4565, "trace_event_buffer_commit" },
	{ 0xf1c3c946, "dev_addr_mod" },
	{ 0x20924fb1, "eth_type_trans" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xd51fb4ef, "alloc_netdev_mqs" },
	{ 0x122c3a7e, "_printk" },
	{ 0xebed203f, "br_mst_get_info" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0xfe6abdd2, "module_layout" },
};

MODULE_INFO(depends, "phylink,libphy,bridge,selftests,hsr");


MODULE_INFO(srcversion, "5C1ACCCD8BB063B91713660");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
