#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(b53_imp_vlan_setup, "", "");
KSYMTAB_FUNC(b53_enable_port, "", "");
KSYMTAB_FUNC(b53_disable_port, "", "");
KSYMTAB_FUNC(b53_brcm_hdr_setup, "", "");
KSYMTAB_FUNC(b53_configure_vlan, "", "");
KSYMTAB_FUNC(b53_get_strings, "", "");
KSYMTAB_FUNC(b53_get_ethtool_stats, "", "");
KSYMTAB_FUNC(b53_get_ethtool_phy_stats, "", "");
KSYMTAB_FUNC(b53_get_sset_count, "", "");
KSYMTAB_FUNC(b53_setup_devlink_resources, "", "");
KSYMTAB_FUNC(b53_port_event, "", "");
KSYMTAB_FUNC(b53_phylink_mac_config, "", "");
KSYMTAB_FUNC(b53_phylink_mac_link_down, "", "");
KSYMTAB_FUNC(b53_phylink_mac_link_up, "", "");
KSYMTAB_FUNC(b53_vlan_filtering, "", "");
KSYMTAB_FUNC(b53_vlan_add, "", "");
KSYMTAB_FUNC(b53_vlan_del, "", "");
KSYMTAB_FUNC(b53_fdb_add, "", "");
KSYMTAB_FUNC(b53_fdb_del, "", "");
KSYMTAB_FUNC(b53_fdb_dump, "", "");
KSYMTAB_FUNC(b53_mdb_add, "", "");
KSYMTAB_FUNC(b53_mdb_del, "", "");
KSYMTAB_FUNC(b53_br_join, "", "");
KSYMTAB_FUNC(b53_br_leave, "", "");
KSYMTAB_FUNC(b53_br_set_stp_state, "", "");
KSYMTAB_FUNC(b53_br_fast_age, "", "");
KSYMTAB_FUNC(b53_br_flags_pre, "", "");
KSYMTAB_FUNC(b53_br_flags, "", "");
KSYMTAB_FUNC(b53_get_tag_protocol, "", "");
KSYMTAB_FUNC(b53_mirror_add, "", "");
KSYMTAB_FUNC(b53_mirror_del, "", "");
KSYMTAB_FUNC(b53_eee_enable_set, "", "");
KSYMTAB_FUNC(b53_eee_init, "", "");
KSYMTAB_FUNC(b53_get_mac_eee, "", "");
KSYMTAB_FUNC(b53_set_mac_eee, "", "");
KSYMTAB_FUNC(b53_switch_alloc, "", "");
KSYMTAB_FUNC(b53_switch_detect, "", "");
KSYMTAB_FUNC(b53_switch_register, "", "");

SYMBOL_CRC(b53_imp_vlan_setup, 0x744cc185, "");
SYMBOL_CRC(b53_enable_port, 0x8f6157d9, "");
SYMBOL_CRC(b53_disable_port, 0xd208008e, "");
SYMBOL_CRC(b53_brcm_hdr_setup, 0x7f29049e, "");
SYMBOL_CRC(b53_configure_vlan, 0x163fd315, "");
SYMBOL_CRC(b53_get_strings, 0xf138a4e5, "");
SYMBOL_CRC(b53_get_ethtool_stats, 0x3a3bc07a, "");
SYMBOL_CRC(b53_get_ethtool_phy_stats, 0x32ab9d81, "");
SYMBOL_CRC(b53_get_sset_count, 0xe4468582, "");
SYMBOL_CRC(b53_setup_devlink_resources, 0xa3c33ff8, "");
SYMBOL_CRC(b53_port_event, 0xd97ce9db, "");
SYMBOL_CRC(b53_phylink_mac_config, 0x6929856f, "");
SYMBOL_CRC(b53_phylink_mac_link_down, 0x4e268848, "");
SYMBOL_CRC(b53_phylink_mac_link_up, 0xa6c9177b, "");
SYMBOL_CRC(b53_vlan_filtering, 0x7ee50962, "");
SYMBOL_CRC(b53_vlan_add, 0x1342c7e0, "");
SYMBOL_CRC(b53_vlan_del, 0x7e915236, "");
SYMBOL_CRC(b53_fdb_add, 0xaf2be0a4, "");
SYMBOL_CRC(b53_fdb_del, 0xf58641de, "");
SYMBOL_CRC(b53_fdb_dump, 0xf9084d95, "");
SYMBOL_CRC(b53_mdb_add, 0x675965b9, "");
SYMBOL_CRC(b53_mdb_del, 0xc300a2e3, "");
SYMBOL_CRC(b53_br_join, 0x03c22e29, "");
SYMBOL_CRC(b53_br_leave, 0x614f6eee, "");
SYMBOL_CRC(b53_br_set_stp_state, 0xecad9c15, "");
SYMBOL_CRC(b53_br_fast_age, 0x81150742, "");
SYMBOL_CRC(b53_br_flags_pre, 0x34f498d9, "");
SYMBOL_CRC(b53_br_flags, 0x643aa4f7, "");
SYMBOL_CRC(b53_get_tag_protocol, 0x0b9dfe5f, "");
SYMBOL_CRC(b53_mirror_add, 0x01333dab, "");
SYMBOL_CRC(b53_mirror_del, 0x67bb9fb1, "");
SYMBOL_CRC(b53_eee_enable_set, 0x89e13316, "");
SYMBOL_CRC(b53_eee_init, 0x856ef583, "");
SYMBOL_CRC(b53_get_mac_eee, 0xc1be787f, "");
SYMBOL_CRC(b53_set_mac_eee, 0x801697a2, "");
SYMBOL_CRC(b53_switch_alloc, 0xfa5ef177, "");
SYMBOL_CRC(b53_switch_detect, 0xb8a2cf57, "");
SYMBOL_CRC(b53_switch_register, 0x6f34812d, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x3dab329b, "dsa_devlink_resources_unregister" },
	{ 0x52e84d98, "dsa_devlink_resource_register" },
	{ 0x9296c4ad, "dsa_devlink_resource_occ_get_register" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xa48fed6a, "_dev_warn" },
	{ 0x787d2f7f, "devm_kmalloc" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x9aef88a9, "mdiobus_get_phy" },
	{ 0x7cbe1fc4, "phy_ethtool_get_stats" },
	{ 0xc0d0ed71, "phy_ethtool_get_sset_count" },
	{ 0xdd64e639, "strscpy" },
	{ 0xda268070, "phy_ethtool_get_strings" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xcba4b044, "dsa_port_phylink_mac_change" },
	{ 0x534b4d3d, "phy_init_eee" },
	{ 0x9604d1d5, "_dev_err" },
	{ 0xd694e81f, "__dynamic_dev_dbg" },
	{ 0xf9a482f9, "msleep" },
	{ 0x8810754a, "_find_first_bit" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x60591144, "_dev_info" },
	{ 0x3da47493, "dsa_register_switch" },
	{ 0xfb578fc5, "memset" },
	{ 0x4a859270, "gpio_to_desc" },
	{ 0x34b3a0bf, "gpiod_set_raw_value" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xfe6abdd2, "module_layout" },
};

MODULE_INFO(depends, "dsa_core,libphy");


MODULE_INFO(srcversion, "702902AAC891DFD1C6198D2");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
