#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x29e9417b, "genphy_read_master_slave" },
	{ 0x7847c621, "sfp_parse_support" },
	{ 0xeca957d1, "__bitmap_and" },
	{ 0x8810754a, "_find_first_bit" },
	{ 0x5b777264, "sfp_select_interface" },
	{ 0xa48fed6a, "_dev_warn" },
	{ 0x7240c049, "genphy_resume" },
	{ 0x394a1e11, "phy_sfp_attach" },
	{ 0xb6acaa13, "phy_sfp_detach" },
	{ 0xbbbc9c95, "regulator_list_voltage_table" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xaa5e3b18, "phy_drivers_register" },
	{ 0xd7550d16, "mdiobus_write" },
	{ 0x9d44ca2e, "mdiobus_read" },
	{ 0xe56164ee, "phy_read_mmd" },
	{ 0xb43f9365, "ktime_get" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x9604d1d5, "_dev_err" },
	{ 0x73e26f3c, "ethnl_cable_test_result" },
	{ 0xc14646dc, "ethnl_cable_test_fault_length" },
	{ 0x3c053684, "mdiobus_c45_modify_changed" },
	{ 0xfd571ec5, "phy_modify" },
	{ 0xdd64e639, "strscpy" },
	{ 0x787d2f7f, "devm_kmalloc" },
	{ 0xd186a29a, "__phy_modify" },
	{ 0x440c8c9b, "__mdiobus_read" },
	{ 0x3c52b805, "phy_modify_changed" },
	{ 0x9167890c, "phy_init_hw" },
	{ 0x8672423a, "phy_write_mmd" },
	{ 0x18ff8961, "phy_trigger_machine" },
	{ 0xb9994cb9, "phy_error" },
	{ 0xc06bfb13, "phy_drivers_unregister" },
	{ 0x2b11079e, "mdio_device_reset" },
	{ 0xd694e81f, "__dynamic_dev_dbg" },
	{ 0x87d78e7c, "phy_modify_mmd" },
	{ 0x9858f364, "get_random_u8" },
	{ 0x6d368e5, "rdev_get_drvdata" },
	{ 0xf9a482f9, "msleep" },
	{ 0xd77ee370, "genphy_update_link" },
	{ 0xf22fbdc5, "genphy_read_lpa" },
	{ 0xf93d9d2a, "phy_resolve_aneg_pause" },
	{ 0xa8d4fabc, "genphy_c37_read_status" },
	{ 0x43749482, "genphy_c45_pma_read_abilities" },
	{ 0x31cc4b44, "genphy_c45_pma_setup_forced" },
	{ 0x18786cb2, "genphy_setup_forced" },
	{ 0x87d6e039, "genphy_suspend" },
	{ 0xd660a1f9, "genphy_read_abilities" },
	{ 0x61859142, "genphy_read_status" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x7b69ba3d, "genphy_soft_reset" },
	{ 0x2c9ad24a, "phy_modify_mmd_changed" },
	{ 0x746df20f, "__genphy_config_aneg" },
	{ 0xbfaacb7d, "devm_regulator_register" },
	{ 0xdc08009e, "devm_regulator_get_enable_optional" },
	{ 0x50e3532c, "phy_sfp_probe" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x4ad13199, "genphy_c37_config_aneg" },
	{ 0xf2095cb2, "genphy_c45_fast_retrain" },
	{ 0xfe6abdd2, "module_layout" },
};

MODULE_INFO(depends, "libphy");

MODULE_ALIAS("mdio:000000000100110111010000011?0110");
MODULE_ALIAS("mdio:00000000010011011101000001110100");
MODULE_ALIAS("mdio:00000000010011011101000000100011");
MODULE_ALIAS("mdio:00000000010011011101000001110010");
MODULE_ALIAS("mdio:00000000010011011101000001000001");
MODULE_ALIAS("mdio:00000000010011011101000000110110");
MODULE_ALIAS("mdio:00000000010011011101000000110011");
MODULE_ALIAS("mdio:00000000010011011101000000110100");
MODULE_ALIAS("mdio:00000000010011011101000001000010");
MODULE_ALIAS("mdio:00000000010011011101000100000001");

MODULE_INFO(srcversion, "89AF37269D945788FE6C532");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
