#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(smsc_phy_config_intr, "_gpl", "");
KSYMTAB_FUNC(smsc_phy_handle_interrupt, "_gpl", "");
KSYMTAB_FUNC(smsc_phy_config_init, "_gpl", "");
KSYMTAB_FUNC(lan87xx_read_status, "_gpl", "");
KSYMTAB_FUNC(smsc_phy_get_tunable, "_gpl", "");
KSYMTAB_FUNC(smsc_phy_set_tunable, "_gpl", "");
KSYMTAB_FUNC(smsc_phy_probe, "_gpl", "");

SYMBOL_CRC(smsc_phy_config_intr, 0xeb8d9fbf, "_gpl");
SYMBOL_CRC(smsc_phy_handle_interrupt, 0x45f4c162, "_gpl");
SYMBOL_CRC(smsc_phy_config_init, 0x0b3c2fd0, "_gpl");
SYMBOL_CRC(lan87xx_read_status, 0x219e4700, "_gpl");
SYMBOL_CRC(smsc_phy_get_tunable, 0xfe749746, "_gpl");
SYMBOL_CRC(smsc_phy_set_tunable, 0xf2fdc813, "_gpl");
SYMBOL_CRC(smsc_phy_probe, 0xe33dd1d9, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x61859142, "genphy_read_status" },
	{ 0xd7550d16, "mdiobus_write" },
	{ 0xb43f9365, "ktime_get" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x787d2f7f, "devm_kmalloc" },
	{ 0x769f8228, "device_property_present" },
	{ 0x1bb4ceee, "devm_clk_get_optional_enabled" },
	{ 0x76d9b876, "clk_set_rate" },
	{ 0x941a6be1, "dev_err_probe" },
	{ 0xaa5e3b18, "phy_drivers_register" },
	{ 0xe56164ee, "phy_read_mmd" },
	{ 0x746df20f, "__genphy_config_aneg" },
	{ 0xfd571ec5, "phy_modify" },
	{ 0x31435ec4, "ethtool_puts" },
	{ 0x7b69ba3d, "genphy_soft_reset" },
	{ 0xc06bfb13, "phy_drivers_unregister" },
	{ 0xbd6841d4, "crc16" },
	{ 0x78041b8f, "byte_rev_table" },
	{ 0x8672423a, "phy_write_mmd" },
	{ 0xd694e81f, "__dynamic_dev_dbg" },
	{ 0x60591144, "_dev_info" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x87d6e039, "genphy_suspend" },
	{ 0x7240c049, "genphy_resume" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x9d44ca2e, "mdiobus_read" },
	{ 0x18ff8961, "phy_trigger_machine" },
	{ 0xb9994cb9, "phy_error" },
	{ 0xfe6abdd2, "module_layout" },
};

MODULE_INFO(depends, "libphy");

MODULE_ALIAS("mdio:0000000000000111110000001010????");
MODULE_ALIAS("mdio:0000000000000111110000001011????");
MODULE_ALIAS("mdio:0000000000000111110000001100????");
MODULE_ALIAS("mdio:0000000000000111110000001101????");
MODULE_ALIAS("mdio:0000000000000111110000001111????");
MODULE_ALIAS("mdio:0000000000000111110000010001????");
MODULE_ALIAS("mdio:0000000000000111110000010011??0?");

MODULE_INFO(srcversion, "66F96A3A218F829563119ED");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
