#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x69acdf38, "memcpy" },
	{ 0xf9a482f9, "msleep" },
	{ 0x6f9a3bbf, "netdev_err" },
	{ 0xdd45fa5, "__dynamic_netdev_dbg" },
	{ 0x57498547, "usbnet_update_max_qlen" },
	{ 0xc31e005, "usbnet_suspend" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x66c1e308, "eth_platform_get_mac_address" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xb141ebac, "mii_nway_restart" },
	{ 0xb33abed, "usbnet_resume" },
	{ 0xaf8da70e, "mii_ethtool_gset" },
	{ 0x18f9c0f2, "netif_carrier_on" },
	{ 0x72ce4804, "usbnet_probe" },
	{ 0x181d0f2b, "usbnet_open" },
	{ 0x30ddd4fe, "usbnet_stop" },
	{ 0x48d67b43, "usbnet_start_xmit" },
	{ 0x9f1f7f3f, "eth_validate_addr" },
	{ 0x2ee49add, "usbnet_tx_timeout" },
	{ 0x774d0fc5, "dev_get_tstats64" },
	{ 0xac20e0ed, "usbnet_get_msglevel" },
	{ 0x38392d32, "usbnet_set_msglevel" },
	{ 0xe4e0f076, "usbnet_nway_reset" },
	{ 0xad9bb080, "ethtool_op_get_link" },
	{ 0xb0049ed6, "ethtool_op_get_ts_info" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xc687497a, "pskb_expand_head" },
	{ 0xf903584b, "skb_push" },
	{ 0x1d7ab659, "__pskb_pull_tail" },
	{ 0x83e58ac3, "dev_kfree_skb_any_reason" },
	{ 0xf9c38b4d, "usbnet_read_cmd" },
	{ 0x121841ea, "usbnet_read_cmd_nopm" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xb71d7463, "netdev_warn" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xc3a5975f, "mii_ethtool_set_link_ksettings" },
	{ 0x9ea9b151, "mii_ethtool_get_link_ksettings" },
	{ 0xd52ab9b7, "generic_mii_ioctl" },
	{ 0xb61e9db4, "usb_register_driver" },
	{ 0xae7bd07c, "usbnet_disconnect" },
	{ 0x840e2783, "usb_deregister" },
	{ 0xf35238ed, "usbnet_link_change" },
	{ 0x5fcf46bc, "netdev_info" },
	{ 0x5b527eb, "usbnet_get_endpoints" },
	{ 0x192e314, "kmalloc_caches" },
	{ 0x580c38b3, "kmalloc_trace" },
	{ 0x27b443e9, "netif_set_tso_max_size" },
	{ 0x6ce7d2bf, "usbnet_write_cmd_async" },
	{ 0x69dd3b5b, "crc32_le" },
	{ 0x78041b8f, "byte_rev_table" },
	{ 0x8f29e3c7, "skb_trim" },
	{ 0x260a26da, "skb_clone" },
	{ 0xcd547c59, "skb_pull" },
	{ 0xbcba3f99, "usbnet_skb_return" },
	{ 0x150cf21, "usbnet_write_cmd" },
	{ 0x6b67e811, "usbnet_write_cmd_nopm" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0xf1c3c946, "dev_addr_mod" },
	{ 0x37a0cba, "kfree" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xfe6abdd2, "module_layout" },
};

MODULE_INFO(depends, "usbnet,mii,usbcore");

MODULE_ALIAS("usb:v0B95p1790d*dc*dsc*dp*icFFiscFFip00in*");
MODULE_ALIAS("usb:v0B95p178Ad*dc*dsc*dp*icFFiscFFip00in*");
MODULE_ALIAS("usb:v04B4p3610d*dc*dsc*dp*icFFiscFFip00in*");
MODULE_ALIAS("usb:v2001p4A00d*dc*dsc*dp*icFFiscFFip00in*");
MODULE_ALIAS("usb:v0DF6p0072d*dc*dsc*dp*icFFiscFFip00in*");
MODULE_ALIAS("usb:v04E8pA100d*dc*dsc*dp*icFFiscFFip00in*");
MODULE_ALIAS("usb:v17EFp304Bd*dc*dsc*dp*icFFiscFFip00in*");
MODULE_ALIAS("usb:v050Dp0128d*dc*dsc*dp*icFFiscFFip00in*");
MODULE_ALIAS("usb:v0930p0A13d*dc*dsc*dp*icFFiscFFip00in*");
MODULE_ALIAS("usb:v0711p0179d*dc*dsc*dp*icFFiscFFip00in*");
MODULE_ALIAS("usb:v07C9p000Ed*dc*dsc*dp*icFFiscFFip00in*");
MODULE_ALIAS("usb:v07C9p000Fd*dc*dsc*dp*icFFiscFFip00in*");
MODULE_ALIAS("usb:v07C9p0010d*dc*dsc*dp*icFFiscFFip00in*");

MODULE_INFO(srcversion, "82581F8818B410E855626F2");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
