#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_DATA(synproxy_net_id, "_gpl", "");
KSYMTAB_FUNC(synproxy_parse_options, "_gpl", "");
KSYMTAB_FUNC(synproxy_init_timestamp_cookie, "_gpl", "");
KSYMTAB_FUNC(synproxy_send_client_synack, "_gpl", "");
KSYMTAB_FUNC(synproxy_recv_client_ack, "_gpl", "");
KSYMTAB_FUNC(ipv4_synproxy_hook, "_gpl", "");
KSYMTAB_FUNC(nf_synproxy_ipv4_init, "_gpl", "");
KSYMTAB_FUNC(nf_synproxy_ipv4_fini, "_gpl", "");
KSYMTAB_FUNC(synproxy_send_client_synack_ipv6, "_gpl", "");
KSYMTAB_FUNC(synproxy_recv_client_ack_ipv6, "_gpl", "");
KSYMTAB_FUNC(ipv6_synproxy_hook, "_gpl", "");
KSYMTAB_FUNC(nf_synproxy_ipv6_init, "_gpl", "");
KSYMTAB_FUNC(nf_synproxy_ipv6_fini, "_gpl", "");

SYMBOL_CRC(synproxy_net_id, 0xca9fc082, "_gpl");
SYMBOL_CRC(synproxy_parse_options, 0x595c07ec, "_gpl");
SYMBOL_CRC(synproxy_init_timestamp_cookie, 0x1f099794, "_gpl");
SYMBOL_CRC(synproxy_send_client_synack, 0x9823d32c, "_gpl");
SYMBOL_CRC(synproxy_recv_client_ack, 0xa7421273, "_gpl");
SYMBOL_CRC(ipv4_synproxy_hook, 0x054187c1, "_gpl");
SYMBOL_CRC(nf_synproxy_ipv4_init, 0xca11a1e8, "_gpl");
SYMBOL_CRC(nf_synproxy_ipv4_fini, 0xafc27e37, "_gpl");
SYMBOL_CRC(synproxy_send_client_synack_ipv6, 0x0bf5017a, "_gpl");
SYMBOL_CRC(synproxy_recv_client_ack_ipv6, 0x4133eb4d, "_gpl");
SYMBOL_CRC(ipv6_synproxy_hook, 0x2b4d4816, "_gpl");
SYMBOL_CRC(nf_synproxy_ipv6_init, 0x692238a3, "_gpl");
SYMBOL_CRC(nf_synproxy_ipv6_fini, 0x0cf1e77c, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x3e427012, "register_pernet_subsys" },
	{ 0x7f9ff45d, "seq_printf" },
	{ 0x1cb72a15, "seq_puts" },
	{ 0x8b9370ae, "unregister_pernet_subsys" },
	{ 0xcb908728, "nf_register_net_hooks" },
	{ 0xcbd1149e, "nf_unregister_net_hooks" },
	{ 0xa683d9af, "skb_ensure_writable" },
	{ 0xef3a9b12, "inet_proto_csum_replace4" },
	{ 0x2eaa369a, "ip_route_me_harder" },
	{ 0x5493eea8, "ip_local_out" },
	{ 0xa8b3b54e, "kfree_skb_reason" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb47cca30, "csum_ipv6_magic" },
	{ 0x56876eb1, "security_skb_classify_flow" },
	{ 0x660ec1ed, "__nf_ip6_route" },
	{ 0x4c125f84, "xfrm_lookup" },
	{ 0xe7a16b7a, "ip6_local_out" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x3fc6cdd8, "skb_copy_bits" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0x79df1a98, "remove_proc_entry" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x3b08a8f0, "nf_ct_destroy" },
	{ 0x89d99ee1, "__nf_ct_ext_find" },
	{ 0x5a6cdb52, "nf_ct_zone_dflt" },
	{ 0x5437d476, "nf_ct_tmpl_alloc" },
	{ 0xc9874578, "nf_ct_ext_add" },
	{ 0x949f7342, "__alloc_percpu" },
	{ 0xcfffc75f, "proc_create_net_data" },
	{ 0xfc98c652, "nf_ct_tmpl_free" },
	{ 0x2d0143e8, "__cookie_v4_check" },
	{ 0x9cd169f2, "__alloc_skb" },
	{ 0xd831f7b4, "skb_put" },
	{ 0xb2d0ca81, "nf_ct_seqadj_init" },
	{ 0x602d0415, "consume_skb" },
	{ 0x7ca64a0b, "__cookie_v4_init_sequence" },
	{ 0x18428692, "__cookie_v6_init_sequence" },
	{ 0x99e6780e, "__cookie_v6_check" },
	{ 0xd8bd31ea, "ipv6_skip_exthdr" },
	{ 0xfe6abdd2, "module_layout" },
};

MODULE_INFO(depends, "nf_conntrack");


MODULE_INFO(srcversion, "DEE7DB6105C34D49CFC84FE");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
