#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(g_token_size, "_gpl", "");
KSYMTAB_FUNC(g_make_token_header, "_gpl", "");
KSYMTAB_FUNC(g_verify_token_header, "_gpl", "");
KSYMTAB_FUNC(gss_mech_register, "_gpl", "");
KSYMTAB_FUNC(gss_mech_unregister, "_gpl", "");
KSYMTAB_FUNC(gss_mech_get, "", "");
KSYMTAB_FUNC(gss_pseudoflavor_to_service, "", "");
KSYMTAB_FUNC(gss_mech_put, "", "");
KSYMTAB_FUNC(svcauth_gss_flavor, "_gpl", "");
KSYMTAB_FUNC(svcauth_gss_register_pseudoflavor, "_gpl", "");

SYMBOL_CRC(g_token_size, 0x482ac5a4, "_gpl");
SYMBOL_CRC(g_make_token_header, 0x38d3dce5, "_gpl");
SYMBOL_CRC(g_verify_token_header, 0xd7673035, "_gpl");
SYMBOL_CRC(gss_mech_register, 0x489ec605, "_gpl");
SYMBOL_CRC(gss_mech_unregister, 0xcf6c6db8, "_gpl");
SYMBOL_CRC(gss_mech_get, 0x5c5d89e7, "");
SYMBOL_CRC(gss_pseudoflavor_to_service, 0x921f9fe2, "");
SYMBOL_CRC(gss_mech_put, 0x5857f6c7, "");
SYMBOL_CRC(svcauth_gss_flavor, 0x5d3f3d78, "_gpl");
SYMBOL_CRC(svcauth_gss_register_pseudoflavor, 0x2d3ada97, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x8b4a2f17, "sunrpc_cache_pipe_upcall_timeout" },
	{ 0x43616ae1, "xdr_init_decode" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xdc718a1d, "trace_event_reg" },
	{ 0x9166fada, "strncpy" },
	{ 0xb0ea90, "rpc_call_null" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x4853695e, "rpc_sleep_on_timeout" },
	{ 0x8989f475, "rpc_create" },
	{ 0x1418010a, "bpf_trace_run1" },
	{ 0xf04e88fb, "rpc_call_sync" },
	{ 0xa58594f4, "from_kuid" },
	{ 0x8b9370ae, "unregister_pernet_subsys" },
	{ 0x52ca1078, "rpc_queue_upcall" },
	{ 0xedaf53da, "xdr_encode_word" },
	{ 0xfb578fc5, "memset" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0x91c14643, "cache_check" },
	{ 0x31a89d59, "rpc_debug" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x76b7f105, "svcauth_unix_set_client" },
	{ 0x9d2906e5, "xdr_buf_subsegment" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xcf4fdd4d, "_atomic_dec_and_lock" },
	{ 0xf7a39093, "make_kgid" },
	{ 0x3e2ad69b, "rpc_remove_pipe_dir_object" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xf474fdcb, "kfree_const" },
	{ 0xd74a04ae, "xdr_reserve_space" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x67fec619, "nonseekable_open" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0x2db0716d, "bpf_trace_run3" },
	{ 0xa63eaeb0, "__put_net" },
	{ 0x94c62eb0, "trace_print_flags_seq" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0xf0169b7b, "rpc_mkpipe_dentry" },
	{ 0xf1846a84, "rpc_mkpipe_data" },
	{ 0xa2c4fa7b, "gssd_running" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x546a1d09, "trace_event_buffer_reserve" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x5f4a905c, "groups_free" },
	{ 0x2c3281fe, "cache_register_net" },
	{ 0x202af3c6, "init_user_ns" },
	{ 0xeb165df9, "alloc_pages" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0xb9c17536, "xdr_inline_pages" },
	{ 0x4ac08300, "__folio_put" },
	{ 0x79df1a98, "remove_proc_entry" },
	{ 0x56470118, "__warn_printk" },
	{ 0x5a45ba31, "svc_auth_unregister" },
	{ 0xf0b7775d, "rpc_init_wait_queue" },
	{ 0x7afcd261, "put_rpccred" },
	{ 0x20000329, "simple_strtoul" },
	{ 0x308b466e, "rpc_unlink" },
	{ 0xc2830044, "rpcauth_wrap_req_encode" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0xf1307bf8, "groups_sort" },
	{ 0xd5fd2fc4, "from_kuid_munged" },
	{ 0x580c38b3, "kmalloc_trace" },
	{ 0xba927550, "rpcauth_init_cred" },
	{ 0x1e56e36c, "xdr_decode_word" },
	{ 0x3854774b, "kstrtoll" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0xeb9a8f71, "cache_destroy_net" },
	{ 0x754d539c, "strlen" },
	{ 0xdb9b7f6, "rpc_init_pipe_dir_object" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x349cba85, "strchr" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x619cb7dd, "simple_read_from_buffer" },
	{ 0x6365d1c2, "xdr_stream_pos" },
	{ 0x85d120e3, "trace_handle_return" },
	{ 0x609202f9, "rpc_task_gfp_mask" },
	{ 0x7df8be36, "sunrpc_cache_update" },
	{ 0x7c656e1d, "xdr_truncate_encode" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x66ed2439, "rpc_destroy_wait_queue" },
	{ 0x192e314, "kmalloc_caches" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x11d7494f, "auth_domain_put" },
	{ 0xd795265f, "rpcauth_unwrap_resp_decode" },
	{ 0x78fa529d, "rpcauth_register" },
	{ 0x3dad3eb, "rpc_put_task" },
	{ 0xef464c28, "getboottime64" },
	{ 0x587f22d7, "devmap_managed_key" },
	{ 0xe914e41e, "strcpy" },
	{ 0xf6bfe79e, "try_module_get" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x5131e9ab, "rpc_find_or_alloc_pipe_dir_object" },
	{ 0xc2ae6943, "xdr_buf_from_iov" },
	{ 0x20f956b9, "bpf_trace_run4" },
	{ 0x9e48d9f3, "xdr_stream_decode_opaque_auth" },
	{ 0x4cae06df, "param_ops_uint" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xe348c52f, "xdr_write_pages" },
	{ 0x4455adb2, "rpc_shutdown_client" },
	{ 0xb77df06, "auth_domain_find" },
	{ 0xb0e602eb, "memmove" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x822358ea, "xdr_inline_decode" },
	{ 0x5298a1d4, "cache_create_net" },
	{ 0x79be61ce, "rpcauth_destroy_credcache" },
	{ 0x50da8178, "trace_raw_output_prep" },
	{ 0xb742fd7, "simple_strtol" },
	{ 0x45f003b1, "bpf_trace_run6" },
	{ 0x1aa433e1, "rpc_net_ns" },
	{ 0xf30eafec, "read_bytes_from_xdr_buf" },
	{ 0x45c294b, "__trace_trigger_soft_disabled" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x71bc40e3, "rpc_wake_up" },
	{ 0x72f74522, "trace_event_printf" },
	{ 0x96848186, "scnprintf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0xbe3766fb, "sunrpc_cache_lookup_rcu" },
	{ 0xd5fd90f1, "prepare_to_wait" },
	{ 0x266282f0, "trace_event_raw_init" },
	{ 0x8900d05a, "trace_print_symbols_seq" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xfc201b66, "sprint_oid" },
	{ 0xebc04d12, "pcpu_hot" },
	{ 0x4e8f6ca7, "sunrpc_net_id" },
	{ 0xd693254b, "__put_devmap_managed_page_refs" },
	{ 0xe1613377, "proc_create_data" },
	{ 0xbbcec0b7, "groups_alloc" },
	{ 0xd5b32cda, "bpf_trace_run2" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0x4c1a555, "xdr_truncate_decode" },
	{ 0xedd101ee, "rpcauth_unregister" },
	{ 0xe2964344, "__wake_up" },
	{ 0x392b97ed, "__xdr_commit_encode" },
	{ 0x7b83e3c4, "__module_get" },
	{ 0xe5919cb1, "xdr_encode_opaque" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x8343123d, "rpc_sleep_on" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xd6eaaea1, "full_name_hash" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x8963dccc, "__put_cred" },
	{ 0x3e427012, "register_pernet_subsys" },
	{ 0xcb3a4565, "trace_event_buffer_commit" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x43e531fa, "cache_purge" },
	{ 0x122c3a7e, "_printk" },
	{ 0x8a90ca3b, "rpc_release_client" },
	{ 0xa53b8cbc, "auth_domain_lookup" },
	{ 0x1000e51, "schedule" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x34d184de, "rpc_wake_up_status" },
	{ 0x4dac77f0, "xdr_encode_netobj" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x81ea51d6, "svc_auth_register" },
	{ 0x47d4e352, "xdr_stream_encode_opaque_auth" },
	{ 0x1017a910, "make_kuid" },
	{ 0xa916b694, "strnlen" },
	{ 0x213ebc0c, "rpc_destroy_pipe_data" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x8fe7e56, "__free_pages" },
	{ 0x8c6a32d9, "rpc_pipe_generic_upcall" },
	{ 0x81828ce4, "module_put" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x365e7911, "kstrdup_const" },
	{ 0x4f8d1082, "cache_unregister_net" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0x9e25d4ba, "sunrpc_cache_unhash" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xad5f0017, "perf_trace_buf_alloc" },
	{ 0x49c2b12a, "perf_trace_run_bpf_submit" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x17a4b00c, "rpcauth_lookup_credcache" },
	{ 0xc8e96dea, "qword_addhex" },
	{ 0xb3f548ad, "kmemdup_nul" },
	{ 0xe97f4ce5, "qword_get" },
	{ 0xd94f8fde, "rpcauth_init_credcache" },
	{ 0xfe6abdd2, "module_layout" },
};

MODULE_INFO(depends, "sunrpc");


MODULE_INFO(srcversion, "61B52D635DC7A93AEF3C998");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
