#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_DATA(xfrm_msg_min, "_gpl", "");
KSYMTAB_DATA(xfrma_policy, "_gpl", "");

SYMBOL_CRC(xfrm_msg_min, 0x4a0c7516, "_gpl");
SYMBOL_CRC(xfrma_policy, 0x205adfce, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x9166fada, "strncpy" },
	{ 0x7d65d049, "nla_put_64bit" },
	{ 0x9cd169f2, "__alloc_skb" },
	{ 0x3ddd82af, "__nlmsg_put" },
	{ 0x52fa6d61, "netlink_unicast" },
	{ 0x800a0683, "xfrm_sad_getinfo" },
	{ 0x8f29e3c7, "skb_trim" },
	{ 0x762dcdc9, "xfrm_spd_getinfo" },
	{ 0x374cd3c5, "xfrm_state_alloc" },
	{ 0x49ca83, "xfrm_aead_get_byname" },
	{ 0x754d539c, "strlen" },
	{ 0x37a02412, "xfrm_aalg_get_byname" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xd6f50cf7, "xfrm_ealg_get_byname" },
	{ 0xaab23340, "xfrm_calg_get_byname" },
	{ 0xf0f2960, "__xfrm_init_state" },
	{ 0x27866435, "security_xfrm_state_alloc" },
	{ 0x7a46ad6d, "xfrm_init_replay" },
	{ 0x47468881, "xfrm_dev_state_add" },
	{ 0x4b11266a, "xfrm_state_update" },
	{ 0xbb696c63, "xfrm_audit_state_add" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xc3afdfe4, "__xfrm_state_destroy" },
	{ 0x3cc9a1e, "xfrm_state_add" },
	{ 0x9707f1fe, "netlink_broadcast_filtered" },
	{ 0xb01bebf9, "xfrm_get_acqseq" },
	{ 0x40bed2a4, "init_net" },
	{ 0x839db490, "__fib6_flush_trees" },
	{ 0xb2143cb0, "xfrm_state_lookup_byaddr" },
	{ 0x1ae79764, "xfrm_state_lookup" },
	{ 0xc599a772, "security_xfrm_state_delete" },
	{ 0xf5062b08, "xfrm_state_delete" },
	{ 0x5bd52b50, "xfrm_audit_state_delete" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x9857a4d9, "km_state_expired" },
	{ 0x8697619b, "__xfrm_state_delete" },
	{ 0xedba207a, "xfrm_policy_byid" },
	{ 0x606c3dca, "km_policy_expired" },
	{ 0xc65304b3, "security_xfrm_policy_alloc" },
	{ 0x4537fb33, "xfrm_policy_bysel_ctx" },
	{ 0xa9c63b69, "security_xfrm_policy_free" },
	{ 0xdf31f74e, "xfrm_policy_destroy" },
	{ 0x61d53a3e, "xfrm_policy_delete" },
	{ 0x7309d35b, "xfrm_audit_policy_delete" },
	{ 0x37e497e8, "verify_spi_info" },
	{ 0xe5557a47, "xfrm_find_acq_byseq" },
	{ 0x94ee67a4, "xfrm_find_acq" },
	{ 0x23d26f8a, "xfrm_alloc_spi" },
	{ 0x40f42ae0, "xfrm_dev_policy_add" },
	{ 0x4bac55b8, "xfrm_policy_insert" },
	{ 0x583c916c, "xfrm_audit_policy_add" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x750b8f8b, "km_query" },
	{ 0x6075a493, "xfrm_state_free" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x122c3a7e, "_printk" },
	{ 0x3e427012, "register_pernet_subsys" },
	{ 0xa70c9f5a, "xfrm_register_km" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x140d56d, "netlink_has_listeners" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x69acdf38, "memcpy" },
	{ 0xa55a43fb, "nla_put" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x66453ad9, "nla_reserve" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0xff2f858b, "netlink_kernel_release" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xf499eab7, "netlink_rcv_skb" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x4c62024b, "xfrm_policy_hash_rebuild" },
	{ 0xb825642d, "xfrm_state_flush" },
	{ 0xfdce5e9d, "km_state_notify" },
	{ 0x54e53003, "xfrm_policy_walk_done" },
	{ 0xa5bda5b2, "xfrm_policy_walk" },
	{ 0xc9df055a, "xfrm_policy_walk_init" },
	{ 0x22c17010, "xfrm_state_walk_done" },
	{ 0xa4c2c7c, "__netlink_kernel_create" },
	{ 0xd4d6bc23, "xfrm_unregister_km" },
	{ 0x8b9370ae, "unregister_pernet_subsys" },
	{ 0x919a5011, "netlink_net_capable" },
	{ 0xebc04d12, "pcpu_hot" },
	{ 0xb36ac10d, "__netlink_dump_start" },
	{ 0x7aa1756e, "kvfree" },
	{ 0xcd167eb4, "xfrm_get_translator" },
	{ 0xb2834fb9, "xfrm_put_translator" },
	{ 0x83f51840, "__nla_parse" },
	{ 0xa8b3b54e, "kfree_skb_reason" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x2782b393, "xfrm_state_walk_init" },
	{ 0xbc614875, "xfrm_state_walk" },
	{ 0x37a0cba, "kfree" },
	{ 0x9fe4e114, "xfrm_policy_alloc" },
	{ 0xaffb9602, "xfrm_policy_flush" },
	{ 0x416b1ca9, "km_policy_notify" },
	{ 0x56470118, "__warn_printk" },
	{ 0xb1b29278, "xfrm_migrate" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x127d83ea, "security_locked_down" },
	{ 0xfbb8a761, "strscpy_pad" },
	{ 0xfb578fc5, "memset" },
	{ 0xfe6abdd2, "module_layout" },
};

MODULE_INFO(depends, "xfrm_algo");


MODULE_INFO(srcversion, "519F1A2943FEDA4AF0712A6");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
